Bug 752508 - xmlsec1-openssl in EPEL 6 not providing symlink from libxmlsec1-openssl.so
Summary: xmlsec1-openssl in EPEL 6 not providing symlink from libxmlsec1-openssl.so
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xmlsec1
Version: el6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-09 17:56 UTC by skoranda
Modified: 2014-06-14 20:00 UTC (History)
4 users (show)

Fixed In Version: xmlsec1-1.2.19-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-14 20:00:37 UTC


Attachments (Terms of Use)

Description skoranda 2011-11-09 17:56:07 UTC
Description of problem:

# rpm -q -l xmlsec1-openssl
/usr/lib64/libxmlsec1-openssl.so.1
/usr/lib64/libxmlsec1-openssl.so.1.2.16

There is no symlink that points /usr/lib64/libxmlsec1-openssl.so to /usr/lib64/libxmlsec1-openssl.so.1.

An strace of xmlsec1 command line tool shows that it only tries to load /usr/lib64/libxmlsec1-openssl.so and without the symlink the load will always fail.

Adding the symlink by hand enables the command line tool xmlsec1 to load the necessary libraries and work as expected.

Version-Release number of selected component (if applicable):

xmlsec1-openssl-1.2.16-2.el6.x86_64

Comment 1 Steven Haigh 2014-04-23 04:33:33 UTC
This is still a problem today....

When trying to verify an XML document:
func=xmlSecCryptoDLLibraryCreate:file=dl.c:line=146:obj=lt_dlopenext:subj=unknown:error=7:io function failed:filename=libxmlsec1-openssl
func=xmlSecCryptoDLGetLibraryFunctions:file=dl.c:line=498:obj=unknown:subj=xmlSecCryptoDLLibraryCreate:error=1:xmlsec library function failed:crypto=openssl
func=xmlSecCryptoDLLoadLibrary:file=dl.c:line=449:obj=unknown:subj=xmlSecCryptoDLGetLibraryFunctions:error=1:xmlsec library function failed:
Error: unable to load xmlsec-openssl library. Make sure that you have
this it installed, check shared libraries path (LD_LIBRARY_PATH)
envornment variable or use "--crypto" option to specify different
crypto engine.
Error: initialization failed

I would have hoped that it was fixed in the 2 1/2 years it has been open :\

Comment 2 Erik S. LaBianca 2014-05-03 16:13:54 UTC
This has been fixed in the fedora repository, see http://pkgs.fedoraproject.org/cgit/xmlsec1.git/commit/?h=f15&id=9cac7461f1f394e99ebb6065b3a60b1453c336b5

Is there anything I can do to help pull that fix into the EL6 branch?

Comment 3 Erik S. LaBianca 2014-05-03 16:42:24 UTC
I was able to successfully merge the fix from F15 into the EL6 branch with a few conflict resolutions. I bumped the release number and am attempting a build. Changes are https://github.com/easel/xmlsec1/commit/16b85068b1f8844906335a3ad8b1dc0f2924e527

Comment 4 Erik S. LaBianca 2014-05-04 15:20:05 UTC
Latest merge is at https://github.com/easel/xmlsec1/commit/8b6e9721b886a38e90bf33b2c2762fe3232add6f

I was able to build it successfully using fedpkg mockbuild.

Also, as an aside, the easy workaround is just to install xmlsec1-devel since the missing .so files are packaged there pre-patch.

Comment 5 Steven Haigh 2014-05-04 15:34:34 UTC
Given the amount of time this has sat here, I don't think anyone cares anymore...

Was good ammo for me to avoid libxml in a project...

Comment 6 Fedora Update System 2014-05-29 16:47:39 UTC
xmlsec1-1.2.19-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xmlsec1-1.2.19-3.el6

Comment 7 Fedora Update System 2014-05-30 17:08:12 UTC
Package xmlsec1-1.2.19-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing xmlsec1-1.2.19-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1536/xmlsec1-1.2.19-3.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-06-14 20:00:37 UTC
xmlsec1-1.2.19-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.